WordPress.org

Ready to get started?Download WordPress

Forums

Single Post Template
Fatal error: Call to undefined function get_post_templates (11 posts)

  1. makiztian
    Member
    Posted 1 year ago #

    I update the plugins version 1.4 and i got this error

    "Fatal error: Call to undefined function get_post_templates() in /hermes/bosweb26b/b2252/sl.damayanm/public_html/wp-content/plugins/single-post-template/post_templates.php on line 88"

    http://wordpress.org/extend/plugins/single-post-template/

  2. walkinman
    Member
    Posted 1 year ago #

    Same thing.

    Been running the plugin forever, and just upgraded, and my site crashed. I tried to upload an old version (form a backup) of the post-template.php file, and that wouldn't work - I get a Database error.

    I deactivated the plugin, so I can't tell you exactly what the error is, but some syntax error, I think on line 88.

  3. davegregg
    Member
    Posted 1 year ago #

    I deactivated version 1.4 of this plugin (by renaming it) and uploaded the previous version (which I had still installed on a dev site), and it's back to functioning properly for now. Waiting for 1.41!

  4. wickedsunny1
    Member
    Posted 1 year ago #

    Hello
    Same problem, can you please provide the old version so i can put it back on, my site is in chaos right now.

  5. davegregg
    Member
    Posted 1 year ago #

  6. wickedsunny1
    Member
    Posted 1 year ago #

    Thanks Daveregg :)

  7. wickedsunny1
    Member
    Posted 1 year ago #

    This older version is not supported with the latest wordpress. is there any way around to make it work ?

  8. davegregg
    Member
    Posted 1 year ago #

    Based on the timing of this, I'm assuming the plugin developer posted the update and went to sleep. Hopefully in the next couple hours he'll be up and check his email.

  9. wickedsunny1
    Member
    Posted 1 year ago #

    Guess you are right, lets see :)

  10. davegregg
    Member
    Posted 1 year ago #

    The plugin is now at 1.43 as of an hour and a half ago. Does this work for everyone now?

  11. walkinman
    Member
    Posted 1 year ago #

    Hey Dave

    As per one of the other threads on this right now:
    link

    No .. it's still not working for me. I ran the upgrade on one of the blogs, and while the old post I've used the plugin for is now working correctly, when I try to write a new post, I do not get an option to select which of the post templates I want to choose from - meaning it'll just default to the single.php file.

    It's not a big deal for me on that blog, but my other blog has lots of differently style posts, and I use that function a lot; so I haven't upgraded it and am still on the old version for that site.

    Cheers

    Carl

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.